<?php
namespace Magento\Paypal\Block\Adminhtml\System\Config\MultiSelect\DisabledFundingOptions;

/**
 * Interceptor class for @see \Magento\Paypal\Block\Adminhtml\System\Config\MultiSelect\DisabledFundingOptions
 */
class Interceptor extends \Magento\Paypal\Block\Adminhtml\System\Config\MultiSelect\DisabledFundingOptions implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Paypal\Model\Config $config, $data = [])
    {
        $this->___init();
        parent::__construct($context, $config, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
